Loading...
Searching...
No Matches
DateTimeOps Class Reference

DateTimeOps. More...

`#include <datetime.h>`

## Static Public Member Functions

static const std::vector< std::string > | processDateTime (const std::string &datetime, const std::string &format)
| Returns a standardized list of items representing the given date and time. More...

## Static Private Member Functions

static const std::string | convertMonth (const std::string &month)
| Converts a month from the short-name to the number. More...

## Detailed Description

DateTimeOps.

Operations for the dates

## Member Function Documentation

## convertMonth()

const std::string DateTimeOps::convertMonth | ( | const std::string & | month | ) |

staticprivate

Converts a month from the short-name to the number.

Parameters

  month | The short-name of the month

Returns
  The month number in the calendar

Exceptions

  DateTimeException |

See also
  processDateTime

## processDateTime()

const std::vector< std::string > DateTimeOps::processDateTime | ( | const std::string & | datetime,
|  | const std::string & | format
| ) |  |

static

Returns a standardized list of items representing the given date and time.

Parameters

  datetime | The given date and time string
  format | The format of the given string

Exceptions

  DateTimeException |

Returns
  The list of items

The documentation for this class was generated from the following files:

- logdoctor/modules/craplog/modules/datetime.h
- logdoctor/modules/craplog/modules/datetime.cpp